#!/bin/sh 
# (c) Copyright European Space Agency, 1989 to 2015
#
# Determine base directory
DIR="$( cd "$( dirname "${BASH_SOURCE[0]}" )" && pwd )"

# We load in the CLASSPH1 variable all the libraries on which the Request Submitter depends on. 
#
CLASSPH1=""
FILES=`ls ${DIR}/lib/*.jar`
for FILE in $FILES; do
    CLASSPH1="${CLASSPH1}:${FILE}"
done

CLASSPH1="${CLASSPH1}:${DIR}/irap-streamedds.jar"

# Use JRE_HOME if set
if [ -z "$JRE_HOME" ]; then
    # Use whatever is on the path
    JAVABIN="java"
else
    JAVABIN="${JRE_HOME}/bin/java"
fi

# Execute Request Submitter
exec ${JAVABIN} -cp ${CLASSPH1} -XX:+UseG1GC -Xmx1G -XX:-HeapDumpOnOutOfMemoryError -XX:+UseStringDeduplication -Djavax.net.ssl.trustStore=${DIR}/truststore.ts -Djavax.net.ssl.trustStorePassword=tspassw -Dlog4j.configuration=file:///${DIR}/log4j.xml esa.egos.edds.streamclient.PacketTmStoreStarter file:///${DIR}/streamclient.xml
