package eu.omp.irap.streamedds; 

import java.io.File;
import java.io.IOException;
import java.io.PrintWriter;
import java.io.FileOutputStream;
import javax.annotation.PostConstruct;
import javax.xml.bind.DatatypeConverter;
import org.apache.activemq.protobuf.Buffer;
import org.apache.log4j.Logger;
import org.springframework.beans.factory.InitializingBean;

public class HexBodyWriter implements InitializingBean, BodyWriter
{
	private static Logger logger = Logger.getLogger(HexBodyWriter.class);
	private String filename;
	private PrintWriter writer;

	@PostConstruct
	public void init() throws IOException {
		// 2020/03/16 
		//
		// Added FileOutputStream() that allows creating file in apppend mode
		// writer = new PrintWriter(new File(filename));
		//
		writer = new PrintWriter(new FileOutputStream (new File(filename), true));
	}

	public void write(Buffer buffer) {
		byte[] bytes = buffer.toByteArray();
		String hex = DatatypeConverter.printHexBinary(bytes);

		HexBodyWriter.logger.debug (hex);

		writer.println(hex);
		writer.flush();
	}
    
	public void setFilename(String filename) {
		this.filename = filename;
	}

	public String getFilename() {
		return filename;
	}

	public void afterPropertiesSet() throws Exception {
		init();
	}
}
